Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class IllegalFormatConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      java.util.IllegalFormatException
                          java.util.IllegalFormatConversionException

All Implemented Interfaces:
  Serializable

    public class IllegalFormatConversionException

extends IllegalFormatException

Unchecked exception thrown when the argument corresponding to the format specifier is of an incompatible type.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`IllegalFormatConversionException(char c, Class<?> arg)` Constructs an instance of this class with the mismatched conversion and the corresponding argument class.

Method Summary
`Class<?>` | `getArgumentClass()` Returns the class of the mismatched argument.
`char` | `getConversion()` Returns the inapplicable conversion.
`String` | `getMessage()` Returns the detail message string of this throwable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalFormatConversionException

    public IllegalFormatConversionException(char c,
                                            Class<?> arg)

  Constructs an instance of this class with the mismatched conversion and the corresponding argument class.

  Parameters:
    `c` - Inapplicable conversion
    `arg` - Class of the mismatched argument

Method Detail

### getConversion

    public char getConversion()

  Returns the inapplicable conversion.

  Returns:
    The inapplicable conversion

### getArgumentClass

    public Class<?> getArgumentClass()

  Returns the class of the mismatched argument.

  Returns:
    The class of the mismatched argument

### getMessage

    public String getMessage()

  Description copied from class: `Throwable`
  Returns the detail message string of this throwable.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message string of this `Throwable` instance (which may be `null`).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.